Bug 439645 - rhgb prevents X from displaying when a second monitor is connected
rhgb prevents X from displaying when a second monitor is connected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 19:57 EDT by Hezekiah M. Carty
Modified: 2009-07-14 12:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hezekiah M. Carty 2008-03-29 19:57:30 EDT
Description of problem:
On a Sony Vaio VGN-s260 (Pentium-M 1.7ghz, ATI 9200m 32mb of video RAM, 1gb of
system RAM) the rhgb kernel boot option prevents the X from displaying properly.
 The rhgb normal boot progress works properly, but once the switch to GDM
happens both the internal laptop display and external monitor stay off.  CPU
usage is stuck at something high (the fan is going full speed).

The system has not locked up completely, since the Caps Lock LED can be toggled
with the Caps Lock key.  I am also able to properly shut down the system at this
point by pressing the power button briefly, which seems to initiate a normal
shutdown.

Version-Release number of selected component (if applicable):
Fedora 9beta + all updates as of Mar. 29

How reproducible:
Every time

Steps to Reproduce:
1. Boot with rhgb kernel option
2. Watch the boot process...
3. ... and then the screen turns off and doesn't come back
  
Actual results:
No X/GDM shown

Expected results:
GDM login screen

Additional info:
Everything works properly with the rhgb option when the monitor is not connected
during boot.  After booting I can connect the monitor and use xrandr to enable
it.  Booting without the rhgb option allows for a successful startup with the
external monitor connected.
Comment 1 Bug Zapper 2008-05-14 04:25:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 19:55:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:17:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.